Page MenuHomePhabricator

adaptable target link card is not shown when translating from an LTR language to an RTL language
Closed, ResolvedPublic1 Story Points

Description

To reproduce:

  • Translate the article "Mazoni" from Catalan to Hebrew.
  • Click the word "cantautor" (singer) in the first paragraph.

Expected: two link cards are supposed to be shown: One pointing to Cantautor in Catalan, and one pointing to זמר-יוצר in Hebrew.

Observed: In master, no link card is shown at all. In https://gerrit.wikimedia.org/r/#/c/216948/ , the source link is shown correctly, but instead of showing the target link, a "Missing link" card is shown.

More info:

  • If the target section is empty or no text selection and two link cards are shown with 'Add link' in target:
    • clicking add link should insert the target title text at cursor point.
  • If there is text selection, the link card works as usual with language pairs with MT or same directionality

Event Timeline

Amire80 created this task.Jun 9 2015, 1:06 PM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a project: I18n. · View Herald TranscriptJun 9 2015, 1:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 216948 had a related patch set uploaded (by Amire80):
Bind link handlers to source links even if the target section is empty

https://gerrit.wikimedia.org/r/216948

santhosh set Security to None.Jun 10 2015, 6:28 AM
santhosh edited a custom field.
santhosh added a subscriber: santhosh.EditedJun 10 2015, 8:32 AM

If the target section is empty or no text selection and two link cards are shown with 'Add link' in target:

  • clicking add link should insert the target title text at cursor point.

If there is text selection, the link card works as usual with language pairs with MT or same directionality

Arrbee updated the task description. (Show Details)Jun 10 2015, 8:34 AM
santhosh moved this task from Backlog to In Review on the LE-Sprint-88 board.

Change 216948 merged by jenkins-bot:
Bind link handlers to source links even if the target section is empty

https://gerrit.wikimedia.org/r/216948

Amire80 closed this task as Resolved.Jun 17 2015, 3:51 PM
Amire80 removed a project: Patch-For-Review.
Amire80 moved this task from In Review to Done on the LE-Sprint-88 board.Jun 17 2015, 3:55 PM